### File

`src/lib/window-context.ts`

### Index

###### Properties

- Optional component
- Optional template

### Properties

component
`component: `ComponentType<T>``
Type : `ComponentType<T>`
Optional

template
`template: `TemplateRef<T>``
Type : `TemplateRef<T>`
Optional

    import {
      ComponentType,
      OverlayRef,
    } from '@angular/cdk/overlay';
    import { WindowRef } from './window-ref';
    import { TemplateRef } from '@angular/core';

    export interface WindowContext<D> {
      overlayRef: OverlayRef;
      windowRef: WindowRef<D>;
      data?: D;
      id: string;
    }

    export interface WindowContainerContext<T> {
      component?: ComponentType<T>;
      template?: TemplateRef<T>;
    }

# results matching ""

# No results matching ""